install.packages("XML")
library(XML)
getwd()

### 63753c86-15c9-4a4d-a214-411854083777

### First website scraping, yields two unwanted documents from dropdown menus
### ONLY GIVES URLS, NOT ACTUAL DOCUMENTS
doc = htmlParse(u)
ll = unlist(getNodeSet(doc, "//a[not(ancestor::li)]/@href"))
urls = grep("\\.pdf|\\.pptx?", ll, value = TRUE)
urls
ll = unlist(getNodeSet(doc, "//a[ancestor::table]/@href"))

### Removes unwanted documents from dropdown menus
urls = urls[3:4]

### DIDN'T WORK: Attempt to remove first two files programatically
u = "http://www.goes-r.gov/users/sci-sem/2014_10_30.html"
doc = htmlParse(u)
ll = unlist(getNodeSet(doc, "//a[not(ancestor::li)]/@href"))
urls = grep("\\.pdf|\\.pptx?", ll, value = TRUE)
urls

### Function to get files
getDocs =
  function(url, dir = ".", download = TRUE)
  {
    ll = getHTMLLinks(url)
    urls = grep("\\.(csv|tsv|pdf|pptx?|docx?|xlsx?)$", ll, value = TRUE)   
    urls = getRelativeURL(urls, url)
    if(download) {
      if(!file.exists(dir))
        dir.create(dir)
      out = sprintf("%s%s%s", dir, .Platform$file.sep, basename(urls))
      mapply(download.file, urls, out)
      out
    } else
      urls
  }
dir = ("/Users/Gabriel")
url = "http://www.goes-r.gov/users/sci-sem/2014_10_30.html"
getDocs(url, dir)

### DIDN'T WORK: Effort to get html file programatically
install.packages("RCurl")
getURL("http://www.goes-r.gov/users/sci-sem/2014_10_30.html")

### JSON File Creation Code
#{
#  "Individual source or seed URL": "http://www.goes-r.gov/users/sci-sem/2014_10_30.html",
#  "UUID" : "63753c86-15c9-4a4d-a214-411854083777",
# "id_agency" : ,
#  "id_subagency": ,
#  "id_org":,
#  "id_suborg":,
#  "Institution facilitating the data capture creation and packaging": "Data Rescue Davis",
#  "Date of capture": "2017-02-02",
#  "Federal agency data acquired from": "NOAA/NASA",
#  "Name of resource": "2014 GOES-R SCIENCE SEMINAR",
#  "File formats contained in package": ".pdf, .pptx",
#  "Type(s) of content in package": "abstract, presentation",
#  "Free text description of capture process": "Metadata was generated by viewing page, data was downloaded using the getDocs function created by Duncan Temple Lang",
#  "Name of package creator": ""
#}